package com.dayou.controller;

import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.controller.BaseController;
import com.dayou.service.IFinanceFineRefundService;
import com.dayou.entity.FinanceFineRefund;
import com.dayou.common.RestResponse;
import org.springframework.web.bind.annotation.*;
import com.dayou.utils.ConvertUtil;
import com.dayou.utils.HttpKit;
import com.dayou.exception.ErrorCode;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.http.MediaType;
import org.springframework.web.multipart.MultipartFile;
/**
 * 罚款退款表
 *
 * @author GouGengquan
 * @since 2025-04-07
 */
@RestController
@RequestMapping("financeFineRefund")
@Slf4j
public class FinanceFineRefundController extends BaseController {
    @Autowired
    private IFinanceFineRefundService financeFineRefundService;

    /**
    * 罚款退款表列表
    */
    @GetMapping("")
    public RestResponse<Page<FinanceFineRefund>> page(FinanceFineRefund financeFineRefund, Page page){
        Page<FinanceFineRefund> pages=financeFineRefundService.selectPage(page,financeFineRefund);
        return RestResponse.data(pages);
    }

    /**
     * 罚款退款表详情
     */
    @GetMapping("/{id}")
    public RestResponse<FinanceFineRefund> detail(@PathVariable Long id){
        FinanceFineRefund xFinanceFineRefund =financeFineRefundService.detail(id);
        return RestResponse.data(xFinanceFineRefund);
     }

    /**
     * 罚款退款表新增
     */
    @PostMapping("")
    public RestResponse<Boolean> save(@RequestBody FinanceFineRefund financeFineRefund) {
        Boolean ret = financeFineRefundService.add(financeFineRefund);
        return RestResponse.data(ret);
    }

    /**
     * 罚款退款表更新
     */
    @PutMapping("")
    public RestResponse<Boolean> update(@RequestBody FinanceFineRefund financeFineRefund) {
        Boolean ret = financeFineRefundService.update(financeFineRefund);
        return RestResponse.data(ret);
    }

    /**
     * 罚款退款表删除
     */
    @DeleteMapping("/{id}")
    public RestResponse<Boolean> delete(@PathVariable Long id) {
        Boolean ret = financeFineRefundService.delete(id);
        return RestResponse.data(ret);
    }


}

