package com.dayou.service.impl;

import com.dayou.entity.FinanceFineRefund;
import com.dayou.mapper.FinanceFineRefundMapper;
import com.dayou.service.IFinanceFineRefundService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 罚款退款表 服务实现类
 * </p>
 *
 * @author GouGengquan
 * @since 2025-04-07
 */
@Service
public class FinanceFineRefundServiceImpl extends ServiceImpl<FinanceFineRefundMapper, FinanceFineRefund> implements IFinanceFineRefundService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<FinanceFineRefund> selectPage(Page page,FinanceFineRefund financeFineRefund){
        return this.page(page, new QueryWrapper<FinanceFineRefund>(financeFineRefund));
    }


    @Override
    public FinanceFineRefund detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(FinanceFineRefund financeFineRefund){
        return  this.save(financeFineRefund);
    }

    @Override
    public Boolean update(FinanceFineRefund financeFineRefund){
        return  this.updateById(financeFineRefund);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
